summaryrefslogtreecommitdiffstats
path: root/source/a/eudev/eudev.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-10-03 05:26:51 +0000
committer Eric Hameleers <alien@slackware.com>2018-10-03 18:00:31 +0200
commitacab1eb58e2814113c457148885135689bf59c56 (patch)
treed4a122000b6c77b57854f2b94580e6ec9ae4cca9 /source/a/eudev/eudev.SlackBuild
parent8a1d0f3fded7d992aaad65842cc104dfff090fc7 (diff)
downloadcurrent-45981dd38894eafc9dad425485a92d12ba96b062.tar.gz
current-45981dd38894eafc9dad425485a92d12ba96b062.tar.xz
Wed Oct 3 05:26:51 UTC 201820181003052651
a/eudev-3.2.5-x86_64-4.txz: Upgraded. More bugs, unreplaced macros, and systemd-specific stuff have been found in the eudev-3.2.6 release. Since there don't seem to be any improvements that would merit closely following the bleeding edge on this one, we'll revert back to eudev-3.2.5 which worked fine. a/kernel-firmware-20181001_7c81f23-noarch-1.txz: Upgraded. ap/at-3.1.23-x86_64-1.txz: Upgraded. ap/hplip-3.18.9-x86_64-1.txz: Upgraded. d/mercurial-4.7.2-x86_64-1.txz: Upgraded. x/libpthread-stubs-0.4-x86_64-3.txz: Rebuilt. Rebuilt since this should not be "noarch". xap/mozilla-firefox-60.2.2esr-x86_64-1.txz: Upgraded. This release contains security fixes and improvements. For more information, see: https://www.mozilla.org/security/known-vulnerabilities/firefoxESR.html https://www.mozilla.org/en-US/security/advisories/mfsa2018-24/ https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12387 (* Security fix *) xap/mozilla-thunderbird-60.2.1-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/60.2.1/releasenotes/ xfce/Thunar-1.8.2-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/eudev/eudev.SlackBuild')
-rwxr-xr-xsource/a/eudev/eudev.SlackBuild12
1 files changed, 4 insertions, 8 deletions
diff --git a/source/a/eudev/eudev.SlackBuild b/source/a/eudev/eudev.SlackBuild
index 0a0e8bb1b..0c8a22d9e 100755
--- a/source/a/eudev/eudev.SlackBuild
+++ b/source/a/eudev/eudev.SlackBuild
@@ -23,10 +23,10 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=eudev
-VERSION=${VERSION:-$(echo eudev-*.tar.?* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo eudev-*.tar.* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-4}
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+NUMJOBS=${NUMJOBS:-" -j7 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -59,7 +59,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG/lib/udev
cd $TMP
rm -rf eudev-$VERSION
-tar xvf $CWD/eudev-$VERSION.tar.?z || exit 1
+tar xvf $CWD/eudev-$VERSION.tar.xz || exit 1
cd eudev-$VERSION || exit 1
chown -R root:root .
find . \
@@ -76,10 +76,6 @@ zcat $CWD/60-cdrom_id.rules.diff.gz | patch -p1 --verbose || exit 1
# See: https://bugs.kde.org/show_bug.cgi?id=387454
zcat $CWD/eudev.ignore_bind_unbind_events.diff.gz | patch -p1 --verbose || exit 1
-# Fix issues with the default rules:
-zcat $CWD/0001-fix-default-rules.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/0002-slackware-rules-adjust.gz | patch -p1 --verbose || exit 1
-
./configure \
--prefix=/usr \
--with-rootprefix=/ \